# Manhattan

Named after the greatest grid system in the world, Manhattan is a clean, lightweight and customisable CSS grid. It uses it's own data-attribute `mhtn` keeping your class markup clean.

It offers three containers, the default restricts content on screens over a specified width, whereas flex and edge allow you to maximize any screen.

Manhattan doesn't use a traditional 12 column layout, but instead opts for straight forward percentages. There are five breakpoints for total control over your layout, where you can specify a width for each column at each screen size.

Manhattan supports all modern browsers and most older ones, including IE 8 with the help of a media query polyfill.


## Why?

There is no shortage of CSS grids available and with so many frameworks offering everything you need, it can be hard to know which use, or if any. Pre-styled and assembled from components, I see too many websites lacking creativity and imagination. Although a grid isn't necessary either, it can be a useful tool for speeding up development without interrupting your website's personality.

I struggled to find a flexible grid without a heavy footprint, so I created Manhattan. It's ultra light, weighing in at 2.8 kb minified/658 bytes gzipped and released under the MIT license, free to use and abuse.


## Usage

Take a look at the [Manhattan](http://www.adchsm.me/manhattan/) website for demos and usage docs.


## How to Contribute Using GitHub

### Raising Issues

If you've found an issue that's great, I'd like to hear as I'm always looking to improve the grid.

Please provide as much information about the bug as possible. Include a url which demonstrates the issue, or if you don't want to publicly reveal your url, create a [JSFiddle](http://jsfiddle.net/). Alternatively you can [email me](mailto:adam@adchsm.me) for support.

### Pull Requests

Pull request are welcome, please make sure your modifications are to the development version of Manhattan, and they are extremely well tested!

### Feature Requests

If you have an idea or a request, just raise an issue. Please provide as much detail as possible, demos and examples would be fantastic if appropriate.


## Todo & Possible Future Features

* Column alignments research
* Mixin library


## Version History

### 1.0
*January 22, 2015*

First official stable tag. Did a load of testing across browsers and everything looked great.

### 1.0 Beta 2
*January 15, 2015*

Added a data-attibute version for valid markup.

### 1.0 Beta
*January 6, 2015*

Renamed a few variables, added Sass version created by [Benjamin Parry](https://github.com/benjaminparry).

### 1.0 Alpha
*December 28, 2014*

Initial release.